GLSA-200610-13 : Cheese Tracker: Buffer Overflow

This script is Copyright (C) 2006-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200610-13
(Cheese Tracker: Buffer Overflow)

Luigi Auriemma reported that the XM loader of Cheese Tracker contains a
buffer overflow vulnerability in the
loader_XM::load_intrument_internal() function from
loaders/loader_xm.cpp.

Impact :

An attacker could execute arbitrary code with the rights of the user
running Cheese Tracker by enticing a user to load a crafted file with
large amount of extra data.

Workaround :

There is no known workaround at this time.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200610-13.xml

Solution :

All Cheese Tracker users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=media-sound/cheesetracker-0.9.9-r1'

Risk factor :

Medium / CVSS Base Score : 5.1
(CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 22928 (gentoo_GLSA-200610-13.nasl)

Bugtraq ID:

CVE ID: CVE-2006-3814